Redmine - Defect #19172

"gem update bundler" suggestion for

"

2015-02-24 18:54 - Lukas Pirl

x64_mingw' is not a valid platform"

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 3.0.1

Resolution: Fixed Affected version: 3.0.0
Description

| just tried to install Redmine 3.0.0 on Debian 7.8 and

bundle install --without development test rmagick

died with

"x64_mingw' is not a valid platform.

20, :mri, :mri_18, :mri_19, :mri_20,

:rbx, :jruby,

The available options are:

:mswin, :mingw, :mingw_18, :mingw_19, :mingw_20

[:ruby, :ruby_18,

After | removed all occurrences of x64_mingw from the Gemfile, bundle install completed without an error.

| run ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux].

:ruby_19,

cruby_

Related issues:

Related to Redmine - Defect #30353: Installing rails with Bundler 2.0 fails i...

Has duplicate Redmine - Defect #19192: "rake" command is showing error, "x64_...

Closed
Closed

Associated revisions

Revision 14065 - 2015-03-08 10:49 - Jean-Philippe Lang
Require bundler >= 1.5.0 (#19172).

Revision 14066 - 2015-03-08 11:37 - Jean-Philippe Lang
Merged r14065 (#19172).

Revision 14443 - 2015-07-13 06:07 - Toshi MARUYAMA
doc/INSTALL: update requirements Bundler >= 1.5.0 (#19172)

Revision 14444 - 2015-07-13 06:09 - Toshi MARUYAMA
Merged r14443 from trunk to 3.1-stable (#19172)

doc/INSTALL: update requirements Bundler >= 1.5.0.

Revision 14445 - 2015-07-13 06:10 - Toshi MARUYAMA
Merged r14443 from trunk to 3.0-stable (#19172)

doc/INSTALL: update requirements Bundler >= 1.5.0.

History

#1 - 2015-02-25 03:49 - Toshi MARUYAMA

- Target version set to 3.0.1

Same output: infamous - "x64_mingw" is not a valid platform..

Could you try this command and give me output?

$ bundle --version
https://www.redmine.org/boards/2/topics/45759

Bundler version 1.7.7
And could you try this command?

$ gem update bundler

#2 - 2015-02-25 07:28 - Jonas Gotze
Toshi MARUYAMA wrote:

And could you try this command?

[--]
Thanks - this one was working well for me!
#3 - 2015-02-25 08:16 - Toshi MARUYAMA

":x64_mingw" is defined in bundler 1.4.0.rc.1.
https://github.com/bundler/bundler/blob/master/CHANGELOG.md#140rc1-2013-09-29

add support for the x64-mingw32 platform

https://github.com/bundler/bundler/pull/2590/files#diff-7616360610f33190a6dd9c84ceb86b91R27

stackoverflow suggests adding check in Gemfile.
Redmine 1.4 uses similar check.

source:tags/1.4.0/config/preinitializer.rb#L.9
Bundler did not release 1.4.0, so do we need to suggest using 1.5.0?
Top of Gemfile:
if Gem::Version.new (Bundler::VERSION) < Gem::Version.new('1.5.0")
abort "Redmine requires Bundler 1.5.0 (you're using #{Bundler::VERSION}).\n

Please update with 'gem update bundler'."
end

#4 - 2015-02-25 08:18 - Toshi MARUYAMA

- Subject changed from Redmine 3 on Debian 7.8: 'x64_mingw" is not a valid platform to "gem update bundler" suggestion for ""x64_mingw" is not a
valid platform”

#5 - 2015-02-25 12:03 - Lukas Pirl
Toshi MARUYAMA wrote:
stackoverflow suggests adding check in Gemfile.
That's what | would have expected from gem/the Gemfile. It would take away a lot of frustration from administrators that are not ultimately comfortable
with the Ruby tool chain.

Sorry, | tried to upgrade a production system so | can only check this next time | try it (we had another issue with a incompatible plugin...). But gem
update bundler sound reasonable.

#6 - 2015-03-05 01:07 - Go MAEDA

- Related to Defect #19192: "rake" command is showing error, "x64_mingw" is not a valid platform. added

#7 - 2015-03-05 01:07 - Go MAEDA

- Related to deleted (Defect #19192: "rake" command is showing error, "x64_mingw" is not a valid platform. )

#8 - 2015-03-05 01:07 - Go MAEDA

- Has duplicate Defect #19192: "rake" command is showing error, 'x64_mingw" is not a valid platform. added

#9 - 2015-03-08 11:37 - Jean-Philippe Lang
- Category set to Gems support

- Status changed from New to Closed
https://github.com/bundler/bundler/blob/master/CHANGELOG.md#140rc1-2013-09-29
https://github.com/bundler/bundler/pull/2590/files#diff-76f6360610f33190a6dd9c84ceb86b91R27
http://stackoverflow.com/questions/18383402/how-to-specify-minimum-bundler-version-for-gemfile
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.4.0/config/preinitializer.rb#L9
http://stackoverflow.com/questions/18383402/how-to-specify-minimum-bundler-version-for-gemfile

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#10 - 2019-01-10 04:02 - Go MAEDA
- Related to Defect #30353: Installing rails with Bundler 2.0 fails in 3.x added

2025-05-17 3/3


http://www.tcpdf.org

